Initial commit
[duncan/rpmer.git] / Rakefile
1 require 'rubygems'
2 require 'rake/gempackagetask'
3
4 if `ruby -Ilib ./bin/rpmer --version` =~ /\S+$/
5   CURRENT_VERSION = $&
6 else
7   CURRENT_VERSION = "0.0.0"
8 end
9
10 PKG_FILES = FileList[
11   'bin/**/*',
12   'lib/**/*',
13   'LICENSE',
14   'README'
15   #SPEC_FILE
16 ]
17
18 spec = Gem::Specification.new do |s|
19   s.platform = Gem::Platform::RUBY
20   s.summary = "rpm packaging tools"
21   s.name = 'rpmer'
22   s.version = '0.1'
23   s.requirements << 'cmdparse'
24   s.require_path = 'lib'
25   s.autorequire = 'rake'
26   s.files = PKG_FILES.to_a
27   s.description = <<EOF
28 rpmer is a tool to assist the creation of rpm spec files.
29 EOF
30 end
31
32 Rake::GemPackageTask.new(spec) do |pkg|
33   pkg.need_zip = true
34   pkg.need_tar = true
35 end